Package org.apache.sysds.hops.codegen.template

## Enum TemplateBase.CloseType

- java.lang.Object
- - java.lang.Enum<TemplateBase.CloseType>
  - - org.apache.sysds.hops.codegen.template.TemplateBase.CloseType

All Implemented Interfaces:
  `Serializable`, `Comparable<TemplateBase.CloseType>`

Enclosing class:
  TemplateBase

    public static enum TemplateBase.CloseType
    extends Enum<TemplateBase.CloseType>

### Enum Constant Summary

Enum Constants
`CLOSED_INVALID`
`CLOSED_VALID`
`OPEN_INVALID`
`OPEN_VALID`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`boolean` `isClosed()`
`boolean` `isValid()`
`static TemplateBase.CloseType` `valueOf​(String name)` Returns the enum constant of this type with the specified name.
`static TemplateBase.CloseType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### CLOSED_VALID

    public static final TemplateBase.CloseType CLOSED_VALID

#### CLOSED_INVALID

    public static final TemplateBase.CloseType CLOSED_INVALID

#### OPEN_VALID

    public static final TemplateBase.CloseType OPEN_VALID

#### OPEN_INVALID

    public static final TemplateBase.CloseType OPEN_INVALID

### Method Detail

#### values

    public static TemplateBase.CloseType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (TemplateBase.CloseType c : TemplateBase.CloseType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static TemplateBase.CloseType valueOf​(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### isClosed

    public boolean isClosed()

#### isValid

    public boolean isValid()